Get an event class
get
/fscmRestApi/resources/11.13.18.05/accountingHubApplications/{ApplicationId}/child/ProcessCategories/{ProcessCategoriesUniqID}/child/EventClasses/{EventClassesUniqID}
Request
Path Parameters
-
ApplicationId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
EventClassesUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Event Classes resource and used to uniquely identify an instance of Event Classes. The client should not generate the hash key value. Instead, the client should query on the Event Classes collection resource in order to navigate to a specific instance of Event Classes to get the hash key.
-
ProcessCategoriesUniqID(required): string
This is the hash key of the attributes which make up the composite key--- ApplicationId and ProcessCategoryCode ---for the Process Categories resource and used to uniquely identify an instance of Process Categories. The client should not generate the hash key value. Instead, the client should query on the Process Categories collection resource with a filter on the primary key values in order to navigate to a specific instance of Process Categories.
For example: ProcessCategories?q=ApplicationId=<value1>;ProcessCategoryCode=<value2>
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : accountingHubApplications-ProcessCategories-EventClasses-item-response
Type:
Show Source
object-
ApplicationId: integer
(int64)
The unique identifier of the accounting hub application associated with the event class.
-
CalculateAccountedAmountsFlag: boolean
Title:
Calculate accounted amountsMaximum Length:1Default Value:trueIndicates whether the accounting program calculates accounted amounts for the event class. Valid values are Y for Yes and N for No. -
CalculateGainLossAmountsFlag: boolean
Title:
Calculate gain or loss amountsMaximum Length:1Default Value:trueIndicates whether the accounting program calculates gain or loss amounts for the event class. Valid values are Y for Yes and N for No. -
DefaultUserJournalCategoryName: string
User journal category name associated with the event class.
-
EventClassCode: string
Title:
Event ClassMaximum Length:30Short name of the event class. -
EventClassDescription: string
Title:
DescriptionMaximum Length:255A brief description of the event class. -
EventClassName: string
Title:
NameName of the event class. -
EventTypes: array
Event Types
Title:
Event TypesAn event type represents a specific business event on a transaction that results in an accounting impact. Event types classify accounting events by their fiscal or operational purpose and align them with the appropriate subledger accounting treatment. -
GroupSourceDataOnImportFlag: boolean
Maximum Length:
1Indicates whether the group source data on import option is enabled for the event class. Valid values are Y for Yes and N for No. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
UserTransactionIdentifiers: array
User Transaction Identifiers
Title:
User Transaction IdentifiersA user transaction identifier is an optional business friendly identifier for external transactions associated with an event class. User transaction identifiers appear on accounting reports and inquiry pages to trace accounting entries back to their source.
Nested Schema : Event Types
Type:
arrayTitle:
Event TypesAn event type represents a specific business event on a transaction that results in an accounting impact. Event types classify accounting events by their fiscal or operational purpose and align them with the appropriate subledger accounting treatment.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : User Transaction Identifiers
Type:
arrayTitle:
User Transaction IdentifiersA user transaction identifier is an optional business friendly identifier for external transactions associated with an event class. User transaction identifiers appear on accounting reports and inquiry pages to trace accounting entries back to their source.
Show Source
Nested Schema : accountingHubApplications-ProcessCategories-EventClasses-EventTypes-item-response
Type:
Show Source
object-
ApplicationId: integer
(int64)
The unique identifier of the accounting hub application associated with the event type.
-
EventTypeCode: string
Title:
Short NameMaximum Length:30Short name of the event type. -
EventTypeDescription: string
Title:
DescriptionMaximum Length:240A brief description of the event type. -
EventTypeName: string
Title:
NameMaximum Length:80Name of the event type. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : accountingHubApplications-ProcessCategories-EventClasses-UserTransactionIdentifiers-item-response
Type:
Show Source
object-
ApplicationId: integer
(int64)
The unique identifier of the accounting hub application associated with the user transaction identifier.
-
ColumnName: string
Title:
View ColumnMaximum Length:30Table or view column name in which the user transaction identifier is stored. -
ColumnTitle: string
Title:
IdentifierMaximum Length:80Name of the user transaction identifier. -
EventMappingId: integer
(int64)
Read Only:
trueThe unique identifier of the event class transaction identifier mapping. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- EventTypes
-
Parameters:
- ApplicationId:
$request.path.ApplicationId - EventClassesUniqID:
$request.path.EventClassesUniqID - ProcessCategoriesUniqID:
$request.path.ProcessCategoriesUniqID
An event type represents a specific business event on a transaction that results in an accounting impact. Event types classify accounting events by their fiscal or operational purpose and align them with the appropriate subledger accounting treatment. - ApplicationId:
- UserTransactionIdentifiers
-
Parameters:
- ApplicationId:
$request.path.ApplicationId - EventClassesUniqID:
$request.path.EventClassesUniqID - ProcessCategoriesUniqID:
$request.path.ProcessCategoriesUniqID
A user transaction identifier is an optional business friendly identifier for external transactions associated with an event class. User transaction identifiers appear on accounting reports and inquiry pages to trace accounting entries back to their source. - ApplicationId: